Herald
OpenapiRealms

Get realm Email OTP configuration

Retrieves the Email OTP configuration (login enabled + auto-register) for a realm. Requires 'settings.view' permission. Defaults to `{ enabled: false, auto_register: false }` when no config exists.

GET
/api/realms/{realmId}/config/email-otp

Retrieves the Email OTP configuration (login enabled + auto-register) for a realm. Requires 'settings.view' permission. Defaults to { enabled: false, auto_register: false } when no config exists.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

realmId*string

Realm ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/realms/string/config/email-otp"
{  "autoRegister": true,  "enabled": true}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}